use actix_web::{delete, get, HttpResponse, post, put, Responder, web};
use actix_web::web::Json;

use crate::module::user::model::User;

/**
 * 测试接口: 增
 */
#[post("/user")]
pub async fn create(user: Json<User>) -> impl Responder {
    HttpResponse::Ok().json(user.0)
}

/**
 * 测试接口: 查
 */
#[get("/user/{id}}")]
pub async fn show(web::Path(id): web::Path<i64>) -> impl Responder {
    HttpResponse::Ok().json(id)
}

/**
 * 测试接口: 改
 */
#[put("/user/{id}")]
pub async fn update(web::Path(id): web::Path<i64>, user: Json<User>) -> impl Responder {
    let mut user = user.into_inner();
    user.id = Some(id);
    HttpResponse::Ok().json(user)
}

/**
 * 测试接口: 删
 */
#[delete("/user/{id}")]
pub async fn delete(web::Path(id): web::Path<i64>) -> impl Responder {
    HttpResponse::Ok().json(id)
}
