use serde::{Deserialize, Serialize};
use validator::Validate;

#[derive(Debug, Validate, Serialize, Deserialize)]
pub struct User {
    pub id: Option<i64>,
    #[validate(length(max = 50, message = "username must be less than 50 chars."))]
    pub username: String,
    #[validate(length(min = 6, message = "password must be more than 6 chars."))]
    pub password: String,
    #[validate(length(max = 255, message = "username must be less than 255 chars."))]
    pub avatar: Option<String>,
    #[validate(length(max = 80, message = "username must be less than 80 chars."))]
    pub email: Option<String>,
}
